Bug 846731 - AtomicHashMapProxy calls Cache.getCacheConfiguration() triggering legacy config adaptation.
AtomicHashMapProxy calls Cache.getCacheConfiguration() triggering legacy conf...
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.1
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 10:24 EDT by Tristan Tarrant
Modified: 2013-10-06 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss Data Grid 6.0.0 the AtomicHashMapProxy class would trigger an invocation to the legacy configuration adapter causing performance degradation and a spurious INFO log message. This is now resolved.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2185 Critical Resolved AtomicHashMapProxy calls Cache.getCacheConfiguration() triggering legacy config adaptation. 2013-03-19 23:15:51 EDT

  None (edit)
Description Tristan Tarrant 2012-08-08 10:24:25 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Gencur 2012-08-10 03:58:40 EDT
Verified with JDG 6.0.1 ER2
Comment 2 gsheldon 2012-09-06 19:37:47 EDT
changed JDG to JBoss Data Grid in doc text.

Note You need to log in before you can comment on or make changes to this bug.